import { useState } from "react";

export default function useData<T>() {
  const [data, setData] = useState<(T & { id: number })[]>([]);

  const handleInsertion = (newData: T) => {
    const _newData = {
      id: Math.round(Math.random() * 10 ** 6), // N.B. For the example purposes only!!!
      ...newData,
    };
    setData((d) => [...d, _newData]);
  };

  const handleEdit = (id: number, newData: T) => {
    const itemIndex = data.findIndex((item) => item.id === id);
    setData((d) => {
      const item = d[itemIndex];
      const _newItem = { id: item.id, ...newData };
      const clone = [...d];
      clone.splice(itemIndex, 1, _newItem);
      return clone;
    });
  };

  return {
    data,
    handleInsertion,
    handleEdit,
  };
}
