import { useState } from "react";
import { Tab, Tabs } from "@mui/material";
import ChemicalElementsLearnt from "../Tables/ChemicalElementsLearnt";
import CarMaintenanceHistory from "../Tables/CarMaintenanceHistory";
import TabPanel from "./TabPanel";

export default function App() {
  const [tabSelected, setTabSelected] = useState(0);
  const handleTabSelectionChange = (_: React.SyntheticEvent, value: number) =>
    setTabSelected(value);

  return (
    <>
      <Tabs centered value={tabSelected} onChange={handleTabSelectionChange}>
        <Tab label="Car Maintenance" id="car_maintenance" />
        <Tab label="Chemical Elements" id="chemical_elements" />
      </Tabs>

      <TabPanel value={tabSelected} index={0}>
        <CarMaintenanceHistory />
      </TabPanel>

      <TabPanel value={tabSelected} index={1}>
        <ChemicalElementsLearnt />
      </TabPanel>
    </>
  );
}
